package com.fjhx.service;

import com.fjhx.base.BaseService;
import com.fjhx.entity.Material;

import java.util.List;

/**
 * <p>
 * 物料 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-07-06
 */
public interface MaterialService extends BaseService<Material> {

    void add(Material material);

    void edit(Material material);

    void delete(Material material);

    /**
     * 获取租户添加过的物料单位集合
     */
    List<String> getUnitList();

}
